# reverse

Reverses the order of the items in the input sequence.

reverse($arg as item()*) → item()*

Arguments
| $arg | item()* | The sequences whose items are to be reversed in order
Result | item()*

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next